﻿using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics.Fonts;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EmbedFont
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            WordDocument wordDoc = new WordDocument("../../Data/2dshapes.docx");
            DocToPDFConverter converter = new DocToPDFConverter();
            //set PDF conformance level using DocToPDFConverterSettings class property.
            converter.Settings.PdfConformanceLevel = PdfConformanceLevel.Pdf_A1B;
            PdfDocument pdfDoc = new PdfDocument();
            pdfDoc = converter.ConvertToPDF(wordDoc);
            MemoryStream stream = new MemoryStream();
            //Save the document and dispose it.
            pdfDoc.Save(stream);
            pdfDoc.Close(true);
            //Loads the document.
            PdfLoadedDocument ldoc = new PdfLoadedDocument(stream);
            //Extracts the fonts from PDF file.
            PdfUsedFont[] fonts= ldoc.UsedFonts;
            stream.Dispose();
        }
    }
}
